{
  "version": "2.0.0",
  "tasks": [
    {
      "label": "Install Errols Extensions",
      "type": "shell",
      "command": "bash",
      "args": [
        "-c",
        "cat ~/.config/Code/User/extensions.txt | while IFS= read -r extension; do echo \"Checking $extension...\"; if ! code --list-extensions | grep -q \"$extension\"; then echo \"Installing $extension...\"; code --install-extension \"$extension\"; else echo \"$extension is already installed\"; fi; done"
      ],
      "presentation": {
        "reveal": "always",
        "panel": "new"
      },
      "runOptions": {
        "runOn": "folderOpen"
      }
    }
  ]
}